Create a new dynamic tool
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/dynamic-tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"handler_export": "<string>",
"input_schema": {},
"name": "<string>",
"source_code": "<string>",
"tool_id": "github_get_pr",
"output_schema": {},
"pinned": true,
"tags": [
"<string>"
],
"timeout_ms": 150500,
"toolkit_id": "<string>",
"when_to_use": "<string>"
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/dynamic-tools"
payload = {
"description": "<string>",
"handler_export": "<string>",
"input_schema": {},
"name": "<string>",
"source_code": "<string>",
"tool_id": "github_get_pr",
"output_schema": {},
"pinned": True,
"tags": ["<string>"],
"timeout_ms": 150500,
"toolkit_id": "<string>",
"when_to_use": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
handler_export: '<string>',
input_schema: {},
name: '<string>',
source_code: '<string>',
tool_id: 'github_get_pr',
output_schema: {},
pinned: true,
tags: ['<string>'],
timeout_ms: 150500,
toolkit_id: '<string>',
when_to_use: '<string>'
})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/dynamic-tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"handler_export": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"input_schema": {},
"name": "<string>",
"pinned": true,
"source_code": "<string>",
"timeout_ms": 123,
"tool_id": "<string>",
"toolkit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toolkit_slug": "<string>",
"output_schema": {},
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"when_to_use": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}DynamicTools
Create a new dynamic tool
If toolkit_id is omitted, the tool goes in the user’s auto-managed “global” toolkit.
POST
/
api
/
v1
/
dynamic-tools
Create a new dynamic tool
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Body
application/json
Show child attributes
Show child attributes
Stable slug identifying the tool, unique per user. Lowercase letters and digits with underscores or hyphens; must start with a letter; 1-128 characters. Underscores ARE allowed (snake_case) — unlike toolkit IDs, which are hyphen-only. Prefer prefixing with the toolkit name, e.g. "github_get_pr".
Pattern:
^[a-z][a-z0-9_-]{0,127}$Example:
"github_get_pr"
Show child attributes
Show child attributes
Required range:
1000 <= x <= 300000Kebab-case slug of the target toolkit (hyphen-separated, no underscores). Omit to place the tool in the user's auto-managed "global" toolkit.
Response
Created
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

